<template>
    <div class="grey darken-1 empty-layout">
        <router-view />
    </div>
</template>
<script>
import messages from '@/utils/messages'

export default {
    computed:{
        error() {
            this.$store.getters.error
        }
    },
    watch:{
        error(fbError) {
            console.log("fbError",fbError);
            this.$error(messages[fbError.error.message] || "Nimadir xato ketdi");
        }
    }
}
</script>